org.bdgenomics.adam.sql

# Genotype

###
Related Docs: object Genotype | package sql

#### case class Genotype(variant: Option[Variant] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, variantCallingAnnotations: Option[VariantCallingAnnotations] = None, sampleId: Option[String] = None, sampleDescription: Option[String] = None, processingDescription: Option[String] = None, alleles: Seq[String] = Seq(), expectedAlleleDosage: Option[Float] = None, referenceReadDepth: Option[Int] = None, alternateReadDepth: Option[Int] = None, readDepth: Option[Int] = None, minReadDepth: Option[Int] = None, genotypeQuality: Option[Int] = None, genotypeLikelihoods: Seq[Double] = Seq(), nonReferenceLikelihoods: Seq[Double] = Seq(), strandBiasComponents: Seq[Int] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, phased: Option[Boolean] = None, phaseSetId: Option[Int] = None, phaseQuality: Option[Int] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Genotype
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Genotype(variant: Option[Variant] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, variantCallingAnnotations: Option[VariantCallingAnnotations] = None, sampleId: Option[String] = None, sampleDescription: Option[String] = None, processingDescription: Option[String] = None, alleles: Seq[String] = Seq(), expectedAlleleDosage: Option[Float] = None, referenceReadDepth: Option[Int] = None, alternateReadDepth: Option[Int] = None, readDepth: Option[Int] = None, minReadDepth: Option[Int] = None, genotypeQuality: Option[Int] = None, genotypeLikelihoods: Seq[Double] = Seq(), nonReferenceLikelihoods: Seq[Double] = Seq(), strandBiasComponents: Seq[Int] = Seq(), splitFromMultiAllelic: Option[Boolean] = None, phased: Option[Boolean] = None, phaseSetId: Option[Int] = None, phaseQuality: Option[Int] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alleles: Seq[String]

5. #### val alternateReadDepth: Option[Int]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Genotype → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val end: Option[Long]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### val expectedAlleleDosage: Option[Float]

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### val genotypeLikelihoods: Seq[Double]

14. #### val genotypeQuality: Option[Int]

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### val minReadDepth: Option[Int]

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### val nonReferenceLikelihoods: Seq[Double]

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val phaseQuality: Option[Int]

23. #### val phaseSetId: Option[Int]

24. #### val phased: Option[Boolean]

25. #### val processingDescription: Option[String]

26. #### def productArity: Int

    Definition Classes
      Genotype → Product

27. #### def productElement(i: Int): Any

    Definition Classes
      Genotype → Product

28. #### val readDepth: Option[Int]

29. #### val referenceName: Option[String]

30. #### val referenceReadDepth: Option[Int]

31. #### val sampleDescription: Option[String]

32. #### val sampleId: Option[String]

33. #### val splitFromMultiAllelic: Option[Boolean]

34. #### val start: Option[Long]

35. #### val strandBiasComponents: Seq[Int]

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def toAvro: formats.avro.Genotype

38. #### val variant: Option[Variant]

39. #### val variantCallingAnnotations: Option[VariantCallingAnnotations]

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped